# stereo.cat backend!  
  
## Introduction  
This is the backend that is supposed to glue together our frontend with our database & S3.
  
## Technologies  
* Golang (1.24.2+) (worst mistake of our entire lives)
* Gin (web framework)
* Gorm (database ORM)
* MinIO S3 SDK (for storing images)

## Contributing  
This applies to the frontend aswell!

1. Make sure you test your PR before submitting.
2. Make sure that it works everywhere. 
3. Format your code, make it look nice :D
4. Make sure to add an explanation.
5. Make sure that your commit and any dependencies you add do not contain malicious code. This will be checked by maintainers.
6. Make sure that your commit follows the license of this project (GPLv3)
7. Make sure to add a license header, as can be seen in main.go to any new files in your commit. Change the author line to your (user)name and e-mail address, of course!
  
To generate a patch file, first commit your changes and then do: 
```bash
git format-patch -1 HEAD
```
Patches can be sent to hex@iwakura.rip.  

Frequent commiters may get an iwakura.rip account to open pull requests directly on the repo or may even get added to the project. To inquire about any of these two, please e-mail me at the aforementioned e-mail address. 

## License  
This project is licensed under the GPLv3, as can be seen in the LICENSE file distributed alongside this project.
